diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/media.php ./wordpress-3.4/wp-includes/media.php
*** ./wordpress-3.3.2/wp-includes/media.php	2011-09-29 17:57:43.000000000 -0500
--- ./wordpress-3.4/wp-includes/media.php	2012-06-06 16:45:17.000000000 -0500
***************
*** 53,61 ****
  		// if no width is set, default to the theme content width if available
  	}
  	elseif ( $size == 'large' ) {
! 		// we're inserting a large size image into the editor.  if it's a really
  		// big image we'll scale it down to fit reasonably within the editor
! 		// itself, and within the theme's content width if it's known.  the user
  		// can resize it in the editor if they wish.
  		$max_width = intval(get_option('large_size_w'));
  		$max_height = intval(get_option('large_size_h'));
--- 53,61 ----
  		// if no width is set, default to the theme content width if available
  	}
  	elseif ( $size == 'large' ) {
! 		// We're inserting a large size image into the editor. If it's a really
  		// big image we'll scale it down to fit reasonably within the editor
! 		// itself, and within the theme's content width if it's known. The user
  		// can resize it in the editor if they wish.
  		$max_width = intval(get_option('large_size_w'));
  		$max_height = intval(get_option('large_size_h'));
***************
*** 327,332 ****
--- 327,334 ----
   * portion of the image will be cropped out and resized to the required size.
   *
   * @since 2.5.0
+  * @uses apply_filters() Calls 'image_resize_dimensions' on $orig_w, $orig_h, $dest_w, $dest_h and
+  *		$crop to provide custom resize dimensions.
   *
   * @param int $orig_w Original width.
   * @param int $orig_h Original height.
***************
*** 343,348 ****
--- 345,355 ----
  	if ($dest_w <= 0 && $dest_h <= 0)
  		return false;
  
+ 	// plugins can use this to provide custom resize dimensions
+ 	$output = apply_filters( 'image_resize_dimensions', null, $orig_w, $orig_h, $dest_w, $dest_h, $crop );
+ 	if ( null !== $output )
+ 		return $output;
+ 
  	if ( $crop ) {
  		// crop the largest possible portion of the original image that we can size to $dest_w x $dest_h
  		$aspect_ratio = $orig_w / $orig_h;
***************
*** 455,461 ****
  			return new WP_Error('resize_path_invalid', __( 'Resize path invalid' ));
  	} else {
  		// all other formats are converted to jpg
! 		$destfilename = "{$dir}/{$name}-{$suffix}.jpg";
  		if ( !imagejpeg( $newimage, $destfilename, apply_filters( 'jpeg_quality', $jpeg_quality, 'image_resize' ) ) )
  			return new WP_Error('resize_path_invalid', __( 'Resize path invalid' ));
  	}
--- 462,469 ----
  			return new WP_Error('resize_path_invalid', __( 'Resize path invalid' ));
  	} else {
  		// all other formats are converted to jpg
! 		if ( 'jpg' != $ext && 'jpeg' != $ext )
! 			$destfilename = "{$dir}/{$name}-{$suffix}.jpg";
  		if ( !imagejpeg( $newimage, $destfilename, apply_filters( 'jpeg_quality', $jpeg_quality, 'image_resize' ) ) )
  			return new WP_Error('resize_path_invalid', __( 'Resize path invalid' ));
  	}
***************
*** 724,729 ****
--- 732,744 ----
   * @return string
   */
  function img_caption_shortcode($attr, $content = null) {
+ 	// New-style shortcode with the caption inside the shortcode with the link and image tags.
+ 	if ( ! isset( $attr['caption'] ) ) {
+ 		if ( preg_match( '#((?:<a [^>]+>\s*)?<img [^>]+>(?:\s*</a>)?)(.*)#is', $content, $matches ) ) {
+ 			$content = $matches[1];
+ 			$attr['caption'] = trim( $matches[2] );
+ 		}
+ 	}
  
  	// Allow plugins/themes to override the default caption template.
  	$output = apply_filters('img_caption_shortcode', '', $attr, $content);
***************
*** 1096,1102 ****
  <script type="text/javascript">
  /* <![CDATA[ */
  	jQuery(document).ready(function($){
! 		$.get("<?php echo admin_url( 'admin-ajax.php?action=oembed-cache&post=' . $post_ID ); ?>");
  	});
  /* ]]> */
  </script>
--- 1111,1117 ----
  <script type="text/javascript">
  /* <![CDATA[ */
  	jQuery(document).ready(function($){
! 		$.get("<?php echo admin_url( 'admin-ajax.php?action=oembed-cache&post=' . $post_ID, 'relative' ); ?>");
  	});
  /* ]]> */
  </script>
***************
*** 1378,1384 ****
   *
   * @param string $url The URL that should be embedded.
   * @param array $args Additional arguments and parameters.
!  * @return string The original URL on failure or the embed HTML on success.
   */
  function wp_oembed_get( $url, $args = '' ) {
  	require_once( ABSPATH . WPINC . '/class-oembed.php' );
--- 1393,1399 ----
   *
   * @param string $url The URL that should be embedded.
   * @param array $args Additional arguments and parameters.
!  * @return bool|string False on failure or the embed HTML on success.
   */
  function wp_oembed_get( $url, $args = '' ) {
  	require_once( ABSPATH . WPINC . '/class-oembed.php' );
***************
*** 1442,1445 ****
  	return apply_filters( 'embed_googlevideo', '<embed type="application/x-shockwave-flash" src="http://video.google.com/googleplayer.swf?docid=' . esc_attr($matches[2]) . '&amp;hl=en&amp;fs=true" style="width:' . esc_attr($width) . 'px;height:' . esc_attr($height) . 'px" allowFullScreen="true" allowScriptAccess="always" />', $matches, $attr, $url, $rawattr );
  }
  
! ?>
\ No newline at end of file
--- 1457,1509 ----
  	return apply_filters( 'embed_googlevideo', '<embed type="application/x-shockwave-flash" src="http://video.google.com/googleplayer.swf?docid=' . esc_attr($matches[2]) . '&amp;hl=en&amp;fs=true" style="width:' . esc_attr($width) . 'px;height:' . esc_attr($height) . 'px" allowFullScreen="true" allowScriptAccess="always" />', $matches, $attr, $url, $rawattr );
  }
  
! /**
!  * Prints default plupload arguments.
!  *
!  * @since 3.4.0
!  */
! function wp_plupload_default_settings() {
! 	global $wp_scripts;
! 
! 	$max_upload_size = wp_max_upload_size();
! 
! 	$defaults = array(
! 		'runtimes'            => 'html5,silverlight,flash,html4',
! 		'file_data_name'      => 'async-upload', // key passed to $_FILE.
! 		'multiple_queues'     => true,
! 		'max_file_size'       => $max_upload_size . 'b',
! 		'url'                 => admin_url( 'admin-ajax.php', 'relative' ),
! 		'flash_swf_url'       => includes_url( 'js/plupload/plupload.flash.swf' ),
! 		'silverlight_xap_url' => includes_url( 'js/plupload/plupload.silverlight.xap' ),
! 		'filters'             => array( array( 'title' => __( 'Allowed Files' ), 'extensions' => '*') ),
! 		'multipart'           => true,
! 		'urlstream_upload'    => true,
! 	);
! 
! 	$defaults = apply_filters( 'plupload_default_settings', $defaults );
! 
! 	$params = array(
! 		'action' => 'upload-attachment',
! 	);
! 
! 	$params = apply_filters( 'plupload_default_params', $params );
! 	$params['_wpnonce'] = wp_create_nonce( 'media-form' );
! 	$defaults['multipart_params'] = $params;
! 
! 	$settings = array(
! 		'defaults' => $defaults,
! 		'browser'  => array(
! 			'mobile'    => wp_is_mobile(),
! 			'supported' => _device_can_upload(),
! 		),
! 	);
! 
! 	$script = 'var _wpPluploadSettings = ' . json_encode( $settings ) . ';';
! 
! 	$data = $wp_scripts->get_data( 'wp-plupload', 'data' );
! 	if ( $data )
! 		$script = "$data\n$script";
! 
! 	$wp_scripts->add_data( 'wp-plupload', 'data', $script );
! }
! add_action( 'customize_controls_enqueue_scripts', 'wp_plupload_default_settings' );
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/meta.php ./wordpress-3.4/wp-includes/meta.php
*** ./wordpress-3.3.2/wp-includes/meta.php	2011-10-24 14:13:23.000000000 -0500
--- ./wordpress-3.4/wp-includes/meta.php	2012-04-11 15:02:39.000000000 -0500
***************
*** 2,9 ****
  /**
   * Metadata API
   *
!  * Functions for retrieving and manipulating metadata of various WordPress object types.  Metadata
!  * for an object is a represented by a simple key-value pair.  Objects may contain multiple
   * metadata entries that share the same key and differ only in their value.
   *
   * @package WordPress
--- 2,9 ----
  /**
   * Metadata API
   *
!  * Functions for retrieving and manipulating metadata of various WordPress object types. Metadata
!  * for an object is a represented by a simple key-value pair. Objects may contain multiple
   * metadata entries that share the same key and differ only in their value.
   *
   * @package WordPress
***************
*** 23,30 ****
   * @param int $object_id ID of the object metadata is for
   * @param string $meta_key Metadata key
   * @param string $meta_value Metadata value
!  * @param bool $unique Optional, default is false.  Whether the specified metadata key should be
!  * 		unique for the object.  If true, and the object already has a value for the specified
   * 		metadata key, no change will be made
   * @return bool The meta ID on successful update, false on failure.
   */
--- 23,30 ----
   * @param int $object_id ID of the object metadata is for
   * @param string $meta_key Metadata key
   * @param string $meta_value Metadata value
!  * @param bool $unique Optional, default is false. Whether the specified metadata key should be
!  * 		unique for the object. If true, and the object already has a value for the specified
   * 		metadata key, no change will be made
   * @return bool The meta ID on successful update, false on failure.
   */
***************
*** 80,86 ****
  }
  
  /**
!  * Update metadata for the specified object.  If no value already exists for the specified object
   * ID and metadata key, the metadata will be added.
   *
   * @since 2.9.0
--- 80,86 ----
  }
  
  /**
!  * Update metadata for the specified object. If no value already exists for the specified object
   * ID and metadata key, the metadata will be added.
   *
   * @since 2.9.0
***************
*** 94,101 ****
   * @param int $object_id ID of the object metadata is for
   * @param string $meta_key Metadata key
   * @param string $meta_value Metadata value
!  * @param string $prev_value Optional.  If specified, only update existing metadata entries with
!  * 		the specified value.  Otherwise, update all entries.
   * @return bool True on successful update, false on failure.
   */
  function update_metadata($meta_type, $object_id, $meta_key, $meta_value, $prev_value = '') {
--- 94,101 ----
   * @param int $object_id ID of the object metadata is for
   * @param string $meta_key Metadata key
   * @param string $meta_value Metadata value
!  * @param string $prev_value Optional. If specified, only update existing metadata entries with
!  * 		the specified value. Otherwise, update all entries.
   * @return bool True on successful update, false on failure.
   */
  function update_metadata($meta_type, $object_id, $meta_key, $meta_value, $prev_value = '') {
***************
*** 174,183 ****
   * @param string $meta_type Type of object metadata is for (e.g., comment, post, or user)
   * @param int $object_id ID of the object metadata is for
   * @param string $meta_key Metadata key
!  * @param string $meta_value Optional. Metadata value.  If specified, only delete metadata entries
!  * 		with this value.  Otherwise, delete all entries with the specified meta_key.
!  * @param bool $delete_all Optional, default is false.  If true, delete matching metadata entries
!  * 		for all objects, ignoring the specified object_id.  Otherwise, only delete matching
   * 		metadata entries for the specified object_id.
   * @return bool True on successful delete, false on failure.
   */
--- 174,183 ----
   * @param string $meta_type Type of object metadata is for (e.g., comment, post, or user)
   * @param int $object_id ID of the object metadata is for
   * @param string $meta_key Metadata key
!  * @param string $meta_value Optional. Metadata value. If specified, only delete metadata entries
!  * 		with this value. Otherwise, delete all entries with the specified meta_key.
!  * @param bool $delete_all Optional, default is false. If true, delete matching metadata entries
!  * 		for all objects, ignoring the specified object_id. Otherwise, only delete matching
   * 		metadata entries for the specified object_id.
   * @return bool True on successful delete, false on failure.
   */
***************
*** 223,228 ****
--- 223,229 ----
  
  	do_action( "delete_{$meta_type}_meta", $meta_ids, $object_id, $meta_key, $_meta_value );
  
+ 	// Old-style action.
  	if ( 'post' == $meta_type )
  		do_action( 'delete_postmeta', $meta_ids );
  
***************
*** 243,248 ****
--- 244,250 ----
  
  	do_action( "deleted_{$meta_type}_meta", $meta_ids, $object_id, $meta_key, $_meta_value );
  
+ 	// Old-style action.
  	if ( 'post' == $meta_type )
  		do_action( 'deleted_postmeta', $meta_ids );
  
***************
*** 256,265 ****
   *
   * @param string $meta_type Type of object metadata is for (e.g., comment, post, or user)
   * @param int $object_id ID of the object metadata is for
!  * @param string $meta_key Optional.  Metadata key.  If not specified, retrieve all metadata for
   * 		the specified object.
!  * @param bool $single Optional, default is false.  If true, return only the first value of the
!  * 		specified meta_key.  This parameter has no effect if meta_key is not specified.
   * @return string|array Single metadata value, or array of values
   */
  function get_metadata($meta_type, $object_id, $meta_key = '', $single = false) {
--- 258,267 ----
   *
   * @param string $meta_type Type of object metadata is for (e.g., comment, post, or user)
   * @param int $object_id ID of the object metadata is for
!  * @param string $meta_key Optional. Metadata key. If not specified, retrieve all metadata for
   * 		the specified object.
!  * @param bool $single Optional, default is false. If true, return only the first value of the
!  * 		specified meta_key. This parameter has no effect if meta_key is not specified.
   * @return string|array Single metadata value, or array of values
   */
  function get_metadata($meta_type, $object_id, $meta_key = '', $single = false) {
***************
*** 485,503 ****
  
  		do_action( "delete_{$meta_type}_meta", (array) $meta_id, $object_id, $meta->meta_key, $meta->meta_value );
  
! 		if ( 'post' == $meta_type )
! 			do_action( 'delete_postmeta', $meta_id );
  
  		// Run the query, will return true if deleted, false otherwise
! 		$result = (bool) $wpdb->query( $wpdb->prepare( "DELETE FROM $table WHERE $id_column = %d LIMIT 1;", $meta_id ) );
  
  		// Clear the caches.
  		wp_cache_delete($object_id, $meta_type . '_meta');
  
  		do_action( "deleted_{$meta_type}_meta", (array) $meta_id, $object_id, $meta->meta_key, $meta->meta_value );
  
! 		if ( 'post' == $meta_type )
! 			do_action( 'deleted_postmeta', $meta_id );
  
  		return $result;
  
--- 487,507 ----
  
  		do_action( "delete_{$meta_type}_meta", (array) $meta_id, $object_id, $meta->meta_key, $meta->meta_value );
  
! 		// Old-style action.
! 		if ( 'post' == $meta_type || 'comment' == $meta_type )
! 			do_action( "delete_{$meta_type}meta", $meta_id );
  
  		// Run the query, will return true if deleted, false otherwise
! 		$result = (bool) $wpdb->delete( $table, array( $id_column => $meta_id ) );
  
  		// Clear the caches.
  		wp_cache_delete($object_id, $meta_type . '_meta');
  
  		do_action( "deleted_{$meta_type}_meta", (array) $meta_id, $object_id, $meta->meta_key, $meta->meta_value );
  
! 		// Old-style action.
! 		if ( 'post' == $meta_type || 'comment' == $meta_type )
! 			do_action( "deleted_{$meta_type}meta", $meta_id );
  
  		return $result;
  
***************
*** 861,865 ****
  	if ( is_callable( $auth_callback ) )
  		add_filter( "auth_{$meta_type}_meta_{$meta_key}", $auth_callback, 10, 6 );
  }
- 
- ?>
--- 865,867 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/ms-blogs.php ./wordpress-3.4/wp-includes/ms-blogs.php
*** ./wordpress-3.3.2/wp-includes/ms-blogs.php	2011-11-03 12:06:45.000000000 -0500
--- ./wordpress-3.4/wp-includes/ms-blogs.php	2012-04-13 12:30:37.000000000 -0500
***************
*** 252,257 ****
--- 252,259 ----
  	wp_cache_delete( md5( $details->domain . $details->path )  , 'blog-lookup' );
  	wp_cache_delete( 'current_blog_' . $details->domain, 'site-options' );
  	wp_cache_delete( 'current_blog_' . $details->domain . $details->path, 'site-options' );
+ 
+ 	do_action( 'refresh_blog_details', $blog_id );
  }
  
  /**
***************
*** 709,712 ****
  	wpmu_update_blogs_date();
  }
  
! ?>
--- 711,733 ----
  	wpmu_update_blogs_date();
  }
  
! /**
!  * Handler for updating the blog date when a published post is deleted.
!  *
!  * @since 3.4.0
!  *
!  * @param int $post_id Post ID
!  */
! function _update_blog_date_on_post_delete( $post_id ) {
! 	$post = get_post( $post_id );
! 
! 	$post_type_obj = get_post_type_object( $post->post_type );
! 	if ( ! $post_type_obj->public )
! 		return;
! 
! 	if ( 'publish' != $post->post_status )
! 		return;
! 
! 	wpmu_update_blogs_date();
! }
! 
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/ms-default-constants.php ./wordpress-3.4/wp-includes/ms-default-constants.php
*** ./wordpress-3.3.2/wp-includes/ms-default-constants.php	2010-05-25 21:42:15.000000000 -0500
--- ./wordpress-3.4/wp-includes/ms-default-constants.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 136,140 ****
  	}
  }
  add_action( 'init', 'ms_subdomain_constants' );
- 
- ?>
--- 136,138 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/ms-default-filters.php ./wordpress-3.4/wp-includes/ms-default-filters.php
*** ./wordpress-3.3.2/wp-includes/ms-default-filters.php	2011-11-03 12:06:45.000000000 -0500
--- ./wordpress-3.4/wp-includes/ms-default-filters.php	2012-04-13 12:30:37.000000000 -0500
***************
*** 35,41 ****
  // Administration
  add_filter( 'term_id_filter', 'global_terms', 10, 2 );
  add_action( 'publish_post', 'update_posts_count' );
! add_action( 'delete_post', 'wpmu_update_blogs_date' );
  add_action( 'transition_post_status', '_update_blog_date_on_post_publish', 10, 3 );
  add_action( 'admin_init', 'wp_schedule_update_network_counts');
  add_action( 'update_network_counts', 'wp_update_network_counts');
--- 35,41 ----
  // Administration
  add_filter( 'term_id_filter', 'global_terms', 10, 2 );
  add_action( 'publish_post', 'update_posts_count' );
! add_action( 'delete_post', '_update_blog_date_on_post_delete' );
  add_action( 'transition_post_status', '_update_blog_date_on_post_publish', 10, 3 );
  add_action( 'admin_init', 'wp_schedule_update_network_counts');
  add_action( 'update_network_counts', 'wp_update_network_counts');
***************
*** 60,64 ****
  // WP_HOME and WP_SITEURL should not have any effect in MS
  remove_filter( 'option_siteurl', '_config_wp_siteurl' );
  remove_filter( 'option_home',    '_config_wp_home'    );
- 
- ?>
--- 60,62 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/ms-deprecated.php ./wordpress-3.4/wp-includes/ms-deprecated.php
*** ./wordpress-3.3.2/wp-includes/ms-deprecated.php	2011-09-30 10:13:13.000000000 -0500
--- ./wordpress-3.4/wp-includes/ms-deprecated.php	2012-04-06 14:18:45.000000000 -0500
***************
*** 49,55 ****
  			return false;
  	} else {
  		$user = get_user_by( 'login', $user_login );
! 		if ( empty( $user->ID ) )
  			return false;
  		$user_id = $user->ID;
  	}
--- 49,55 ----
  			return false;
  	} else {
  		$user = get_user_by( 'login', $user_login );
! 		if ( ! $user->exists() )
  			return false;
  		$user_id = $user->ID;
  	}
***************
*** 270,274 ****
  	}
  	return $url;
  }
- 
- ?>
\ No newline at end of file
--- 270,272 ----
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.4.pl ./wordpress-3.3.2/wp-includes/ms-files.php ./wordpress-3.4/wp-includes/ms-files.php
*** ./wordpress-3.3.2/wp-includes/ms-files.php	2011-09-06 10:41:57.000000000 -0500
--- ./wordpress-3.4/wp-includes/ms-files.php	2012-01-08 11:01:11.000000000 -0600
***************
*** 80,83 ****
  
  // If we made it this far, just serve the file
  readfile( $file );
- ?>
--- 80,82 ----
